Skip to content

Aritma IAM API (0)

An API for interacting with the identity and access management system of Aritma.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/iam/openapi/iam-openapi
IAM API (0)
https://api.dev.aritma.io/core/iam

Actions

Actions related to IAM actions

Operations

Client

Actions related to clients in Aritma ID

Operations

Domains

Actions related to domains registered for the tenant, and their verification status

Operations

Me

Actions listing information about the currently authenticated user

Operations

Policies

Actions related to IAM policies

Operations

Role

Actions related to Aritma ID roles

Operations

Scim

Actions related to SCIM tokens

Operations

Scope

Actions related to scopes in Aritma ID

Operations

SSO

Actions common for all SSO providers

Operations

SSO - Azure AD (Entra ID)

Actions relating to AzureAd as an SSO provider

Operations

SSO - Custom Providers

Actions relating to custom SSO providers

Operations

SSO - Google

Actions relating to Google as an SSO provider

Operations

SSO - Signicat

Actions relating to Signicat as an SSO provider

Operations

Creates a new SSO provider

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
schemestringrequired

The scheme name for the provider

displayNamestringrequired

The display name of the provider

enabledbooleanrequired

Whether or not the provider is enabled

typestringrequired

The type of identityprovider

Value"oidc"
propertiesobjectrequired

The properties that defines the behavior of this provider, dependent on which provider that is used, see json schemas for more details

properties.​loginEnabledbooleanrequired
properties.​visiblebooleanrequired
properties.​delegationEnabledbooleanrequired
properties.​autoProvisioningEnabledbooleanrequired
properties.​clientIdstringrequired
properties.​clientSecretstring or null
properties.​verifyEnabledbooleanrequired
properties.​authoritystringrequired
properties.​methodstringrequired
Enum"None""BankId""MitId""SBID"
{ "scheme": "string", "displayName": "string", "enabled": true, "type": "oidc", "properties": { "loginEnabled": true, "visible": true, "delegationEnabled": true, "autoProvisioningEnabled": true, "clientId": "string", "clientSecret": "string", "verifyEnabled": true, "authority": "string", "method": "None" } }

Responses

Created

BodyArray [
relstringrequired
hrefstring or null
methodobjectrequired
method.​methodstringrequired
]
Response
No response example

Gets an SSO provider by id

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
idinteger(int32)required
No request payload

Responses

OK

Body
idinteger(int32)required
schemestringrequired
displayNamestringrequired
enabledbooleanrequired
providerNamestringrequired
typestringrequired
propertiesobjectrequired
properties.​loginEnabledbooleanrequired
properties.​visiblebooleanrequired
properties.​delegationEnabledbooleanrequired
properties.​autoProvisioningEnabledbooleanrequired
properties.​clientIdstringrequired
properties.​clientSecretstring or null
properties.​verifyEnabledbooleanrequired
properties.​authoritystringrequired
properties.​methodstringrequired
Enum"None""BankId""MitId""SBID"
Response
No response example

Updates an SSO provider

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
idinteger(int32)required
Body
idinteger(int32)required

The id of the identityprovider

schemestringrequired

The scheme name for the provider

displayNamestringrequired

The display name of the provider

enabledbooleanrequired

Whether or not the provider is enabled

typestringrequired

The type of identityprovider

Value"oidc"
propertiesobjectrequired

The properties that defines the behavior of this provider, dependent on which provider that is used, see json schemas for more details

properties.​loginEnabledbooleanrequired
properties.​visiblebooleanrequired
properties.​delegationEnabledbooleanrequired
properties.​autoProvisioningEnabledbooleanrequired
properties.​clientIdstringrequired
properties.​clientSecretstring or null
properties.​verifyEnabledbooleanrequired
properties.​authoritystringrequired
properties.​methodstringrequired
Enum"None""BankId""MitId""SBID"
{ "id": 0, "scheme": "string", "displayName": "string", "enabled": true, "type": "oidc", "properties": { "loginEnabled": true, "visible": true, "delegationEnabled": true, "autoProvisioningEnabled": true, "clientId": "string", "clientSecret": "string", "verifyEnabled": true, "authority": "string", "method": "None" } }

Responses

OK

Response
No content

Deletes an SSO provider by id

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
idinteger(int32)required
No request payload

Responses

OK

Response
No content

Subjects

Actions related to IAM subjects

Operations

User

Actions related to Aritma ID users

Operations